Bug 1797006 (CVE-2019-12423) - CVE-2019-12423 cxf: OpenId Connect token service does not properly validate the clientId
Summary: CVE-2019-12423 cxf: OpenId Connect token service does not properly validate t...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-12423
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1797008
Blocks: 1797009
TreeView+ depends on / blocked
 
Reported: 2020-01-31 18:10 UTC by Guilherme de Almeida Suckevicz
Modified: 2021-03-04 13:35 UTC (History)
64 users (show)

Fixed In Version: apache cxf 3.3.5, apache cxf 3.2.12
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-12 10:32:19 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:2058 0 None None None 2020-05-11 20:10:46 UTC
Red Hat Product Errata RHSA-2020:2059 0 None None None 2020-05-11 20:13:49 UTC
Red Hat Product Errata RHSA-2020:2060 0 None None None 2020-05-11 20:16:44 UTC
Red Hat Product Errata RHSA-2020:2061 0 None None None 2020-05-11 20:19:50 UTC
Red Hat Product Errata RHSA-2020:2333 0 None None None 2020-05-28 15:59:52 UTC
Red Hat Product Errata RHSA-2020:2511 0 None None None 2020-06-10 19:05:51 UTC
Red Hat Product Errata RHSA-2020:2512 0 None None None 2020-06-11 07:17:11 UTC
Red Hat Product Errata RHSA-2020:2513 0 None None None 2020-06-11 07:08:46 UTC
Red Hat Product Errata RHSA-2020:2515 0 None None None 2020-06-10 19:24:09 UTC
Red Hat Product Errata RHSA-2020:2905 0 None None None 2020-07-23 07:04:25 UTC
Red Hat Product Errata RHSA-2020:3196 0 None None None 2020-07-29 06:07:44 UTC
Red Hat Product Errata RHSA-2020:3197 0 None None None 2020-07-29 06:23:01 UTC
Red Hat Product Errata RHSA-2020:5568 0 None None None 2020-12-16 12:12:59 UTC

Description Guilherme de Almeida Suckevicz 2020-01-31 18:10:08 UTC
Apache CXF ships with a OpenId Connect JWK Keys service, which allows a client to obtain the public keys in JWK format, which can then be used to verify the signature of tokens issued by the service. Typically, the service obtains the public key from a local keystore (JKS/PKCS12) by specifing the path of the keystore and the alias of the keystore entry. This case is not vulnerable. However it is also possible to obtain the keys from a JWK keystore file, by setting the configuration parameter "rs.security.keystore.type" to "jwk". For this case all keys are returned in this file "as is", including all private key and secret key credentials. This is an obvious security risk if the user has configured the signature keystore file with private or secret key credentials. From CXF 3.3.5 and 3.2.12, it is mandatory to specify an alias corresponding to the id of the key in the JWK file, and only this key is returned. In addition, any private key information is omitted by default. "oct" keys, which contain secret keys, are not returned at all.

Reference:
http://cxf.apache.org/security-advisories.data/CVE-2019-12423.txt.asc?version=1&modificationDate=1579178393000&api=v2

Comment 1 Guilherme de Almeida Suckevicz 2020-01-31 18:14:36 UTC
Created cxf tracking bugs for this issue:

Affects: fedora-30 [bug 1797008]

Comment 12 errata-xmlrpc 2020-05-11 20:10:43 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.2 for RHEL 6

Via RHSA-2020:2058 https://access.redhat.com/errata/RHSA-2020:2058

Comment 13 errata-xmlrpc 2020-05-11 20:13:46 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.2 for RHEL 7

Via RHSA-2020:2059 https://access.redhat.com/errata/RHSA-2020:2059

Comment 14 errata-xmlrpc 2020-05-11 20:16:41 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.2 for RHEL 8

Via RHSA-2020:2060 https://access.redhat.com/errata/RHSA-2020:2060

Comment 15 errata-xmlrpc 2020-05-11 20:19:47 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform

Via RHSA-2020:2061 https://access.redhat.com/errata/RHSA-2020:2061

Comment 16 Product Security DevOps Team 2020-05-12 10:32:19 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-12423

Comment 17 errata-xmlrpc 2020-05-28 15:59:49 UTC
This issue has been addressed in the following products:

  EAP-CD 19 Tech Preview

Via RHSA-2020:2333 https://access.redhat.com/errata/RHSA-2020:2333

Comment 18 errata-xmlrpc 2020-06-10 19:05:48 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.3 for RHEL 6

Via RHSA-2020:2511 https://access.redhat.com/errata/RHSA-2020:2511

Comment 19 errata-xmlrpc 2020-06-10 19:24:06 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform

Via RHSA-2020:2515 https://access.redhat.com/errata/RHSA-2020:2515

Comment 20 errata-xmlrpc 2020-06-11 07:08:43 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.3 for RHEL 8

Via RHSA-2020:2513 https://access.redhat.com/errata/RHSA-2020:2513

Comment 21 errata-xmlrpc 2020-06-11 07:17:07 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.3 for RHEL 7

Via RHSA-2020:2512 https://access.redhat.com/errata/RHSA-2020:2512

Comment 22 errata-xmlrpc 2020-07-23 07:04:22 UTC
This issue has been addressed in the following products:

  Red Hat Openshift Application Runtimes

Via RHSA-2020:2905 https://access.redhat.com/errata/RHSA-2020:2905

Comment 23 errata-xmlrpc 2020-07-29 06:07:40 UTC
This issue has been addressed in the following products:

  Red Hat Decision Manager

Via RHSA-2020:3196 https://access.redhat.com/errata/RHSA-2020:3196

Comment 24 errata-xmlrpc 2020-07-29 06:22:56 UTC
This issue has been addressed in the following products:

  Red Hat Process Automation

Via RHSA-2020:3197 https://access.redhat.com/errata/RHSA-2020:3197

Comment 25 errata-xmlrpc 2020-12-16 12:13:18 UTC
This issue has been addressed in the following products:

  Red Hat Fuse 7.8.0

Via RHSA-2020:5568 https://access.redhat.com/errata/RHSA-2020:5568


Note You need to log in before you can comment on or make changes to this bug.